package cz.muni.fi.pb162.test3;

import java.math.BigDecimal;

/**
 * Tato trida reprezentuje film (treba na DVD).
 *
 * @author Petr Adamek
 */
public class Movie extends Product implements RatableMovie {
    
    private RatableMovie.Rating rating;
    
    public Movie(String name, BigDecimal price, RatableMovie.Rating rating) {
        super(name,price);
        this.rating = rating;
    }

    public RatableMovie.Rating getRating() {
        return rating;
    }

    public String toString() {
        return getName() + " (cena: " + getPrice() + ", rating: " + rating + ")" ;
    }    
    
}
