package cz.muni.fi.pb162.test3;

import java.math.BigDecimal;

/**
 * Reprezentuje nejaky produkt. 
 *
 * @author Petr Adamek
 */
public class Product {
    
    private String name;
    private BigDecimal price;
    
    public Product(String name, BigDecimal price) {
        this.name = name;
        this.price = price;
    }

    public String getName() {
        return name;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public String toString() {
        return name + " (cena: " + price + ")";
    }    

}
